<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'PressButton',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <div class="slp-flex slp-justify-content-center slp-mt-32">
      <SlpButton
        v-if="data"
        :variant="data?.variation || 'primary'"
        class=""
        :href="data?.externalUrl"
        :data-ga-name="data?.dataGaName || data?.text"
        :data-ga-location="data?.dataGaLocation || 'body'"
      >
        {{ data?.text || 'Read More' }}
      </SlpButton>
    </div>
  </SlpContainer>
</template>
